
From: Jon Smirl <jonsmirl@gmail.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/Kconfig          |    1 +
 25-akpm/drivers/video/Makefile         |    4 ----
 25-akpm/drivers/video/console/Makefile |    4 +++-
 3 files changed, 4 insertions(+), 5 deletions(-)

diff -puN drivers/video/console/Makefile~fbdev-allow-core-fb-to-be-built-as-a-module-fix drivers/video/console/Makefile
--- 25/drivers/video/console/Makefile~fbdev-allow-core-fb-to-be-built-as-a-module-fix	Mon Mar  7 16:47:26 2005
+++ 25-akpm/drivers/video/console/Makefile	Mon Mar  7 16:47:26 2005
@@ -25,7 +25,9 @@ obj-$(CONFIG_STI_CONSOLE)         += sti
 obj-$(CONFIG_VGA_CONSOLE)         += vgacon.o
 obj-$(CONFIG_MDA_CONSOLE)         += mdacon.o
 obj-$(CONFIG_FRAMEBUFFER_CONSOLE) += fbcon.o bitblit.o font.o
-obj-$(CONFIG_FB_TILEBLITTING)     += tileblit.o
+ifeq ($(CONFIG_FB_TILEBLITTING),y)
+obj-$(CONFIG_FRAMEBUFFER_CONSOLE)     += tileblit.o
+endif
 
 obj-$(CONFIG_FB_STI)              += sticore.o
 
diff -puN drivers/video/Kconfig~fbdev-allow-core-fb-to-be-built-as-a-module-fix drivers/video/Kconfig
--- 25/drivers/video/Kconfig~fbdev-allow-core-fb-to-be-built-as-a-module-fix	Mon Mar  7 16:47:26 2005
+++ 25-akpm/drivers/video/Kconfig	Mon Mar  7 16:47:26 2005
@@ -753,6 +753,7 @@ config FB_MATROX
 	select FB_CFB_COPYAREA
 	select FB_CFB_IMAGEBLIT
 	select FB_SOFT_CURSOR
+	select FB_TILEBLITTING
 	---help---
 	  Say Y here if you have a Matrox Millennium, Matrox Millennium II,
 	  Matrox Mystique, Matrox Mystique 220, Matrox Productiva G100, Matrox
diff -puN drivers/video/Makefile~fbdev-allow-core-fb-to-be-built-as-a-module-fix drivers/video/Makefile
--- 25/drivers/video/Makefile~fbdev-allow-core-fb-to-be-built-as-a-module-fix	Mon Mar  7 16:47:26 2005
+++ 25-akpm/drivers/video/Makefile	Mon Mar  7 16:47:26 2005
@@ -10,10 +10,6 @@ obj-$(CONFIG_SYSFS)		  += backlight/
 
 obj-$(CONFIG_FB)                  += fb.o
 fb-y                              := fbmem.o fbmon.o fbcmap.o fbsysfs.o modedb.o
-ifneq ($(CONFIG_FB),n)
-fb-$(CONFIG_PPC)                  += macmodes.o
-# Only include macmodes.o if we have FB support and are PPC
-endif
 fb-objs                           := $(fb-y)
 
 obj-$(CONFIG_FB_CFB_FILLRECT)  += cfbfillrect.o
_
